Get tokens from text analysis
- POST also GET /{index}/_analyze
- POST also GET /_analyze
The analyze API performs analysis on a text string and returns the resulting tokens.
Generating excessive amount of tokens may cause a node to run out of memory.
The index.analyze.max_token_count setting enables you to limit the number of tokens that can be produced.
If more than this limit of tokens gets generated, an error occurs.
The _analyze endpoint without a specified index will always use 10000 as its limit.
- Index privileges:
index
Path Parameters
-
indexstring IndexNameoptional -
Index used to derive the analyzer. If specified, the
analyzeror field parameter overrides this value. If no index is specified or the index does not have a default analyzer, the analyze API uses the standard analyzer.Leave it out to use
/_analyze.
Query Parameters
-
indexstring IndexName Index used to derive the analyzer. If specified, the
analyzeror field parameter overrides this value. If no index is specified or the index does not have a default analyzer, the analyze API uses the standard analyzer.
Request
-
analyzerstring -
The name of the analyzer that should be applied to the provided
text. This could be a built-in analyzer, or an analyzer that’s been configured in the index. -
attributesstring -
Array of token attributes used to filter the output of the
explainparameter. -
char_filterCharFilter -
Array of character filters used to preprocess characters before the tokenizer.
-
explainboolean · default: false -
If
true, the response includes token attributes and additional details. -
fieldstring Field -
Field used to derive the analyzer. To use this parameter, you must specify an index. If specified, the
analyzerparameter overrides this value. -
filterTokenFilter -
Array of token filters used to apply after the tokenizer.
-
normalizerstring -
Normalizer to use to convert text into a single token.
-
textTextToAnalyze -
Text to analyze. If an array of strings is provided, it is analyzed as a multi-value field.
-
tokenizerTokenizer -
Tokenizer to use to convert text into tokens.
Response
-
detailAnalyzeDetail -
analyzerAnalyzerDetail -
namestringrequired -
tokensExplainAnalyzeTokenrequired -
bytesstringrequired -
end_offsetnumberrequired -
keywordboolean -
positionnumberrequired -
positionLengthnumberrequired -
start_offsetnumberrequired -
termFrequencynumberrequired -
tokenstringrequired -
typestringrequired -
charfiltersCharFilterDetail -
filtered_textstringrequired -
namestringrequired -
custom_analyzerbooleanrequired -
tokenfiltersTokenDetail -
namestringrequired -
tokensExplainAnalyzeTokenrequired -
bytesstringrequired -
end_offsetnumberrequired -
keywordboolean -
positionnumberrequired -
positionLengthnumberrequired -
start_offsetnumberrequired -
termFrequencynumberrequired -
tokenstringrequired -
typestringrequired -
tokenizerTokenDetail -
tokensAnalyzeToken -
end_offsetnumberrequired -
positionnumberrequired -
positionLengthnumber -
start_offsetnumberrequired -
tokenstringrequired -
typestringrequired